#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QStringListModel>

QT_BEGIN_NAMESPACE
namespace Ui {
class MainWindow;
}
QT_END_NAMESPACE

class MainWindow : public QMainWindow {
  Q_OBJECT

private:
  std::vector<std::string> word_list_;
  QStringListModel result_model_;

public:
  MainWindow(QWidget *parent = nullptr);
  ~MainWindow();

private:
  void generate_word_list();

private:
  Ui::MainWindow *ui;
};
#endif // MAINWINDOW_H
